Skip to main content
GET
/
api
/
v1
/
scans
/
{scan_id}
/
status
Get Scan Status
curl --request GET \
  --url https://api.valiqor.com/api/v1/scans/{scan_id}/status \
  --header 'Authorization: Bearer <token>'
{
  "scan_id": "<string>",
  "status": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "current_stage": "<string>",
  "stages_completed": [
    "<string>"
  ],
  "progress": 123,
  "error": "<string>",
  "workflow_count": 0,
  "completed_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Valiqor API key. Pass as Bearer token: Authorization: Bearer vq-xxxxxxxxxxxxxxxxxxxx

Path Parameters

scan_id
string
required

Response

Successful Response

Response for scan processing status

scan_id
string
required

Scan identifier

status
string
required

Processing status

created_at
string<date-time>
required

Scan creation timestamp

current_stage
string | null

Current processing stage

stages_completed
string[]

Completed stages

progress
number | null

Progress percentage (0-100)

error
string | null

Error message if failed

workflow_count
integer
default:0

Number of workflows detected

completed_at
string<date-time> | null

Completion timestamp